Subject: Re: Suggestion: add option in git-p4 to preserve user in Git repository

From: Pete Wyckoff <[email-masked]>
Date: Sat, 12 Jan 2013 11:38:38 -0500

[email-masked] wrote on Thu, 10 Jan 2013 22:38 -0500:
> I'm in a situation where I don't have P4 admin rights to use the
> --preserve-user option of git-p4. However, I would like to keep user
> information in the associated Git branch.
> 
> Would it be possible to add an option for this?

The --preserve-user option is used to submit somebody else's work
from git to p4.  It does "p4 change -f" to edit the author of the
change after it has been submitted to p4.  P4 requires admin
privileges to do that.

Changes that are imported _from_ p4 to git do have the correct
author information.

Can you explain a bit more what you're looking for?

		-- Pete